ome-xml 5.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Member Functions | List of all members
ome::xml::meta::MetadataRoot Class Reference

Metadata root node interface. More...

`#include <ome/xml/meta/MetadataRoot.h>`

Inheritance diagram for ome::xml::meta::MetadataRoot:
[legend]

## Public Member Functions
virtual | ~MetadataRoot ()
| Destructor.

## Protected Member Functions
| MetadataRoot ()
| Constructor.

## Private Member Functions
| MetadataRoot (const MetadataRoot &)
| Copy constructor (deleted).
MetadataRoot & | operator= (const MetadataRoot &)
| Assignment operator (deleted).

## Detailed Description

Metadata root node interface.

This class provides no functionality; its purpose is to provide a common base type for the root node type of metadata storage implementations.

The documentation for this class was generated from the following file:

- ome/xml/meta/MetadataRoot.h